Subject: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is being closed)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 14:21:47 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 04 Dec 2022 19:59:34 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why, cannot you access debbugs?
> 
> debbugs-browse-ephemeral-emacs-bug-group only included your reply to
> this bug, and not the patch you replied to.  That happens once in a
> while for me.

I don't think I understand what that means, but the patch is accessible via
a Web browser, by going to

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59794#20

> Thanks.  I'm fine with installing this on the release branch, but the
> comment should be modified to say:
> 
>   [resetCursorRects:] can be called from the event loop after the frame
>   is deleted.  When this happens, emacsframe is NULL.  This means there
>   is an underlying leak of the EmacsView object!
> 
> also, perhaps it should be omitted on master, at least until before
> Emacs 30 is released, to motivate other (hopefully more knowledgeable)
> people to provide the necessary information to fix it.

Will do, thanks.